Bug 224483 - sans-serif font preference craziness
sans-serif font preference craziness
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2007-01-25 16:28 EST by Owen Taylor
Modified: 2008-01-15 14:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
HTML file (72 bytes, text/html)
2007-01-30 10:29 EST, Matěj Cepl
no flags Details
Rendered to PDF (5.42 KB, application/pdf)
2007-01-30 10:34 EST, Matěj Cepl
no flags Details
Comparison text written in OOWriter (10.18 KB, application/vnd.oasis.opendocument.text)
2007-01-30 10:37 EST, Matěj Cepl
no flags Details
attachment 146924 rendered in PDF (via "File-Export to PDF") (118.47 KB, application/pdf)
2007-01-30 10:40 EST, Matěj Cepl
no flags Details

  None (edit)
Description Owen Taylor 2007-01-25 16:28:17 EST
- Start with a clean profile
- Go to a page with the font specified as sans-serif
  (a file with
    <div style="font-family: sans-serif; font-size: 100px">Foo</div>
   is sufficient)
- Go to Preferences/Content/Fonts & Colors/Advanced
- Note that sans-serif is set to sans-serif
if you really know fonts, you might note that the page is not
displaying with the system sans serif (Bitstream Sans) but rather
with Nimbus Sans L, so something somewhere is specifying Arial
or Helvetica.

 - Pop up the drop down, select sans-serif again, then click OK on 
   the dialog.
 - Watch the font on the page change.

The font on the page is now actually displaying with the system
sans serif.
Comment 1 Matěj Cepl 2007-01-30 09:50:54 EST
Could you please provide some specific URL you have on mind, so that we are
talking about the same thing?
Comment 2 Owen Taylor 2007-01-30 09:55:10 EST
echo "<div style="font-family: sans-serif; font-size: 100px">Foo</div>" >

Then "file://tmp/foo.html" will be a specific URL.
Comment 3 Owen Taylor 2007-01-30 09:56:02 EST
I mean file:///tmp/foo.html
Comment 4 Matěj Cepl 2007-01-30 10:29:19 EST
Created attachment 146919 [details]
HTML file

Can fully confirm. Attached is the example page provided by reporter, converted
via File/Print in Firefox (firefox- and ps2pdf to PDF, and for
comparison the same page created with OpenOffice.org Writer
(openoffice.org-writer-2.0.4-5.4.16). Inspecting PDF files both visually and
with pdffonts, it is clear that really Firefox uses NimbusSansL-Regu instead of
sans-serif (which should be probably DejaVu Sans or Bistream Vera Sans --
what's the default for RHEL5b2).
Comment 5 Matěj Cepl 2007-01-30 10:34:18 EST
Created attachment 146921 [details]
Rendered to PDF

[matej@hubmaier ~]$ pdffonts test-224483-firefox.pdf 
name				     type	  emb sub uni object ID
------------------------------------ ------------ --- --- --- ---------
LWWHKC+DejaVu_LGC_Serif.Book.0.0.33ad8.0.Set0 Type 1C	   yes yes no	    8 
HSAEUE+Nimbus_Sans_L.Regular.0.0.18c3c.1583.Set0 Type 1C      yes yes no     
10  0
[matej@hubmaier ~]$
Comment 6 Matěj Cepl 2007-01-30 10:37:30 EST
Created attachment 146924 [details]
Comparison text written in OOWriter
Comment 7 Matěj Cepl 2007-01-30 10:40:32 EST
Created attachment 146925 [details]
attachment 146924 [details] rendered in PDF (via "File-Export to PDF")

Notice shapes of letters F and Q both in rendered HTML and ODT -- they are
widely distinct between HTML and ODT rendered sans-serif font.
Comment 8 Matěj Cepl 2007-01-30 10:45:11 EST
Comment on attachment 146925 [details]
attachment 146924 [details] rendered in PDF (via "File-Export to PDF")

[matej@hubmaier ~]$ pdffonts test-224483.pdf 
name				     type	  emb sub uni object ID
------------------------------------ ------------ --- --- --- ---------
BAAAAA+DejaVuLGCSans		     TrueType	  yes yes yes	  14  0
CAAAAA+BitstreamVeraSans-Roman	     TrueType	  yes yes yes	   9  0
NimbusSansL-Regu		     Type 1	  yes no  yes	  19  0
Comment 9 Matěj Cepl 2007-01-30 10:47:50 EST
Behdad, any comments -- I guess sans-serif magic falls into your area, right?
Comment 10 Behdad Esfahbod 2007-01-30 22:00:38 EST
Humm,  what about the font for Latin?

This is absolutely firefox madness.  I remember seeing it toss various font
families at Pango to render anything...  Will check it out.
Comment 11 Matěj Cepl 2007-12-10 04:24:14 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 12 Matěj Cepl 2008-01-15 09:39:18 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}
Comment 13 Behdad Esfahbod 2008-01-15 14:30:16 EST
There is no insufficient data.  If you think the bug is fixed in the mean time,
confirm that and close fixed.  If you think this should be tracked upstream, say
so and forward upstream and close upstream.  If you think it's not important
enough to fix, say so and close wontfix.  Closing random bugs, specially those
opened by Owen Taylor doesn't help :).

Note You need to log in before you can comment on or make changes to this bug.